Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Tree.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Tree.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/Tree.cs	(revision 4068)
@@ -1,100 +1,93 @@
 using System;
 using System.Collections.Generic;
-using System.Text;
 using System.Drawing;
-namespace Netron.Diagramming.Core.Layout
-{
-    public static class Tree
-    {
+namespace Netron.Diagramming.Core.Layout {
+  public static class Tree {
 
-        public static Bundle CreateRandomTree<S>(Size bounds, int amount) where S : SimpleShapeBase, new()
-        {
-            if (new S().Connectors.Count == 0)
-                throw new InconsistencyException("The shape type specified '" + typeof(S).Name + "' has no connectors and cannot be used to create a tree. Please choose another type based on the SimpleShapeBase class.");
+    public static Bundle CreateRandomTree<S>(Size bounds, int amount) where S : SimpleShapeBase, new() {
+      if (new S().Connectors.Count == 0)
+        throw new InconsistencyException("The shape type specified '" + typeof(S).Name + "' has no connectors and cannot be used to create a tree. Please choose another type based on the SimpleShapeBase class.");
 
-            #region Preamble
-            int counter = 0;
-            Dictionary<int, S> labels = new Dictionary<int, S>();
-            Random rnd = new Random();
-            Bundle bundle = new Bundle();
-            Connection cn;
-            S shape;
-            #endregion
+      #region Preamble
+      int counter = 0;
+      Dictionary<int, S> labels = new Dictionary<int, S>();
+      Random rnd = new Random();
+      Bundle bundle = new Bundle();
+      Connection cn;
+      S shape;
+      #endregion
 
-            #region Create the root
-            shape = new S();
-            shape.Text = "Root";
-            shape.Location = new Point(rnd.Next(10, bounds.Width - 30), rnd.Next(10, bounds.Height - 30));
-            labels.Add(0, shape);
-            bundle.Entities.Add(shape);
-            //this.diagramControl1.SetLayoutRoot(shape);
-            #endregion
+      #region Create the root
+      shape = new S();
+      shape.Text = "Root";
+      shape.Location = new Point(rnd.Next(10, bounds.Width - 30), rnd.Next(10, bounds.Height - 30));
+      labels.Add(0, shape);
+      bundle.Entities.Add(shape);
+      //this.diagramControl1.SetLayoutRoot(shape);
+      #endregion
 
-            #region Add random nodes to the existing tree
-            for (int i = 0; i < amount; i++)
-            {
-                counter++;
-                shape = new S();
-                shape.Text = "Shape " + counter;
-                int s1;
-                shape.Location = new Point(rnd.Next(10, bounds.Width - 30), rnd.Next(10, bounds.Height - 30));
+      #region Add random nodes to the existing tree
+      for (int i = 0; i < amount; i++) {
+        counter++;
+        shape = new S();
+        shape.Text = "Shape " + counter;
+        int s1;
+        shape.Location = new Point(rnd.Next(10, bounds.Width - 30), rnd.Next(10, bounds.Height - 30));
 
-                labels.Add(counter, shape);
-                bundle.Entities.Add(shape);
-                //let's try to find a parent for this new node
-                s1 = rnd.Next(0, counter - 1);
-                while (labels[s1].Connectors[0].AttachedConnectors.Count >= rnd.Next(1, 9) && s1 <= counter - 5)
-                {
-                    s1 = rnd.Next(0, counter - 1);
-                }
-                cn = new Connection(Point.Empty, Point.Empty);
+        labels.Add(counter, shape);
+        bundle.Entities.Add(shape);
+        //let's try to find a parent for this new node
+        s1 = rnd.Next(0, counter - 1);
+        while (labels[s1].Connectors[0].AttachedConnectors.Count >= rnd.Next(1, 9) && s1 <= counter - 5) {
+          s1 = rnd.Next(0, counter - 1);
+        }
+        cn = new Connection(Point.Empty, Point.Empty);
 
-                labels[s1].Connectors[0].AttachConnector(cn.From);
-                shape.Connectors[0].AttachConnector(cn.To);
-                bundle.Entities.Add(cn);
+        labels[s1].Connectors[0].AttachConnector(cn.From);
+        shape.Connectors[0].AttachConnector(cn.To);
+        bundle.Entities.Add(cn);
 
-            }
+      }
 
-            #endregion
+      #endregion
 
-            return bundle;
-        }
-     
-        /// <summary>
-        /// Only a utility function which returns a specific type of (handcrafted) tree.
-        /// </summary>
-        /// <returns></returns>
-        public static Bundle CreateSpecificTree()
-        {
-            Bundle bundle = new Bundle();
+      return bundle;
+    }
 
-            SimpleRectangle rec1 = new SimpleRectangle();
-            rec1.Location = new Point(100, 30);
+    /// <summary>
+    /// Only a utility function which returns a specific type of (handcrafted) tree.
+    /// </summary>
+    /// <returns></returns>
+    public static Bundle CreateSpecificTree() {
+      Bundle bundle = new Bundle();
 
-            SimpleRectangle rec2 = new SimpleRectangle();
-            rec2.Location = new Point(50, 80);
+      SimpleRectangle rec1 = new SimpleRectangle();
+      rec1.Location = new Point(100, 30);
 
-            SimpleRectangle rec3 = new SimpleRectangle();
-            rec3.Location = new Point(150, 80);
+      SimpleRectangle rec2 = new SimpleRectangle();
+      rec2.Location = new Point(50, 80);
+
+      SimpleRectangle rec3 = new SimpleRectangle();
+      rec3.Location = new Point(150, 80);
 
 
-            Connection cn1 = new Connection();
-            rec1.Connectors[2].AttachConnector(cn1.From);
-            rec2.Connectors[0].AttachConnector(cn1.To);
+      Connection cn1 = new Connection();
+      rec1.Connectors[2].AttachConnector(cn1.From);
+      rec2.Connectors[0].AttachConnector(cn1.To);
 
-            Connection cn2 = new Connection();
-            rec1.Connectors[2].AttachConnector(cn2.From);
-            rec3.Connectors[0].AttachConnector(cn2.To);
+      Connection cn2 = new Connection();
+      rec1.Connectors[2].AttachConnector(cn2.From);
+      rec3.Connectors[0].AttachConnector(cn2.To);
 
-            bundle.Entities.Add(rec1);
-            bundle.Entities.Add(rec2);
-            bundle.Entities.Add(rec3);
-            bundle.Entities.Add(cn1);
-            bundle.Entities.Add(cn2);
+      bundle.Entities.Add(rec1);
+      bundle.Entities.Add(rec2);
+      bundle.Entities.Add(rec3);
+      bundle.Entities.Add(cn1);
+      bundle.Entities.Add(cn2);
 
-            return bundle;
+      return bundle;
 
 
-        }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/TreeLayoutBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/TreeLayoutBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Layout/TreeLayoutBase.cs	(revision 4068)
@@ -1,56 +1,46 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using Netron.Diagramming.Core.Analysis;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Abstract base class providing convenience methods for tree layout algorithms.
+  /// </summary>
+  abstract class TreeLayoutBase : LayoutBase {
+
+    #region Fields
     /// <summary>
-    /// Abstract base class providing convenience methods for tree layout algorithms.
+    /// the root of the tree
     /// </summary>
-    abstract class TreeLayoutBase : LayoutBase
-    {
+    private IShape mLayoutRoot;
 
-        #region Fields
-        /// <summary>
-        /// the root of the tree
-        /// </summary>
-        private IShape mLayoutRoot;
-    
-        #endregion
+    #endregion
 
-        #region Consstructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:TreeLayoutBase"/> class.
-        /// </summary>
-        /// <param name="name">The name.</param>
-        /// <param name="controller">The controller.</param>
-        protected TreeLayoutBase(string name, IController controller)
-            : base(name, controller)
-        {
+    #region Consstructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:TreeLayoutBase"/> class.
+    /// </summary>
+    /// <param name="name">The name.</param>
+    /// <param name="controller">The controller.</param>
+    protected TreeLayoutBase(string name, IController controller)
+      : base(name, controller) {
 
-        }
+    }
 
-        #endregion
+    #endregion
 
-        #region Properties
-        /// <summary>
-        /// Gets or sets the layout root.
-        /// </summary>
-        /// <value>The layout root.</value>
-        public IShape LayoutRoot
-        {
-            get
-            {
-                return mLayoutRoot;
-            }
-            set
-            {
-                mLayoutRoot = value;
-                
-            }
-        }
-     
-        #endregion
-        
+    #region Properties
+    /// <summary>
+    /// Gets or sets the layout root.
+    /// </summary>
+    /// <value>The layout root.</value>
+    public IShape LayoutRoot {
+      get {
+        return mLayoutRoot;
+      }
+      set {
+        mLayoutRoot = value;
+
+      }
     }
+
+    #endregion
+
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Printing/DiagramPrinter.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Printing/DiagramPrinter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Printing/DiagramPrinter.cs	(revision 4068)
@@ -1,123 +1,107 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
+using System.Drawing.Drawing2D;
 using System.Drawing.Printing;
 using System.Windows.Forms;
-using System.Drawing;
-using System.Drawing.Drawing2D;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Handles the printing of a diagram.  All pages in the diagram are
+  /// printed.  A print preview or actual print can be performed.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class DiagramPrinter {
+    PrintDocument myDocument;
+    IDiagramControl myDiagram;
+    //PrinterSettings mySettings;
+    PageSettings myPageSettings;
+    int currentPageIndex = 0;
+    int numberOfPages = 1;
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Handles the printing of a diagram.  All pages in the diagram are
-    /// printed.  A print preview or actual print can be performed.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class DiagramPrinter
-    {
-        PrintDocument myDocument;
-        IDiagramControl myDiagram;
-        //PrinterSettings mySettings;
-        PageSettings myPageSettings;
-        int currentPageIndex = 0;
-        int numberOfPages = 1;
+    /// <param name="pageSettings">PageSettings: The page setup for the
+    /// diagram.</param>
+    /// <param name="diagram">IDiagramControl: The diagram to print.
+    /// </param>
+    /// <param name="printPreviewOnly">bool: Specifies if only a print
+    /// preview is to be performed.  If true, then a PrintPreviewDialog
+    /// is shown.  If false, then a PrintDialog is shown and the diagram
+    /// is printed if the user elects to.</param>
+    // ------------------------------------------------------------------
+    public DiagramPrinter(
+        PageSettings pageSettings,
+        IDiagramControl diagram,
+        bool printPreviewOnly) {
+      this.myDiagram = diagram;
+      this.numberOfPages = diagram.Controller.Model.Pages.Count;
+      this.myPageSettings = pageSettings;
+      this.myDocument = new PrintDocument();
+      this.myDocument.DefaultPageSettings = this.myPageSettings;
+      this.myDocument.PrintPage +=
+          new PrintPageEventHandler(PrintPage);
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="pageSettings">PageSettings: The page setup for the
-        /// diagram.</param>
-        /// <param name="diagram">IDiagramControl: The diagram to print.
-        /// </param>
-        /// <param name="printPreviewOnly">bool: Specifies if only a print
-        /// preview is to be performed.  If true, then a PrintPreviewDialog
-        /// is shown.  If false, then a PrintDialog is shown and the diagram
-        /// is printed if the user elects to.</param>
-        // ------------------------------------------------------------------
-        public DiagramPrinter(
-            PageSettings pageSettings, 
-            IDiagramControl diagram,
-            bool printPreviewOnly)
-        {
-            this.myDiagram = diagram;
-            this.numberOfPages = diagram.Controller.Model.Pages.Count;
-            this.myPageSettings = pageSettings;
-            this.myDocument = new PrintDocument();            
-            this.myDocument.DefaultPageSettings = this.myPageSettings;
-            this.myDocument.PrintPage += 
-                new PrintPageEventHandler(PrintPage);
+      if (printPreviewOnly) {
+        this.PrintPreview();
+      } else {
+        this.Print();
+      }
+    }
 
-            if (printPreviewOnly)
-            {
-                this.PrintPreview();
-            }
-            else
-            {
-                this.Print();
-            }            
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Print previews the diagram by displaying a PrintPreviewDialog.
+    /// The diagram, however, can be printed from the PrintPreviewDialog.
+    /// </summary>
+    // ------------------------------------------------------------------
+    void PrintPreview() {
+      PrintPreviewDialog dialog = new PrintPreviewDialog();
+      dialog.Document = this.myDocument;
+      dialog.ShowDialog();
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Print previews the diagram by displaying a PrintPreviewDialog.
-        /// The diagram, however, can be printed from the PrintPreviewDialog.
-        /// </summary>
-        // ------------------------------------------------------------------
-        void PrintPreview()
-        {
-            PrintPreviewDialog dialog = new PrintPreviewDialog();
-            dialog.Document = this.myDocument;
-            dialog.ShowDialog();
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Displays a PrintDialog and prints the diagram if the user elects
+    /// to continue.
+    /// </summary>
+    // ------------------------------------------------------------------
+    void Print() {
+      PrintDialog dialog = new PrintDialog();
+      dialog.Document = this.myDocument;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Displays a PrintDialog and prints the diagram if the user elects
-        /// to continue.
-        /// </summary>
-        // ------------------------------------------------------------------
-        void Print()
-        {
-            PrintDialog dialog = new PrintDialog();
-            dialog.Document = this.myDocument;
-            
-            if (dialog.ShowDialog() == DialogResult.OK)
-            {
-                this.myDocument.Print();
-            }
-        }
+      if (dialog.ShowDialog() == DialogResult.OK) {
+        this.myDocument.Print();
+      }
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Handles the actual rendering of the diagram to the print document.
-        /// </summary>
-        /// <param name="sender">object</param>
-        /// <param name="e">PrintPageEventArgs</param>
-        // ------------------------------------------------------------------
-        void PrintPage(object sender, PrintPageEventArgs e)
-        {
-            Graphics g = e.Graphics;
-            IPage page = 
-                this.myDiagram.Controller.Model.Pages[currentPageIndex];
-            Bundle bundle = new Bundle(page.Entities);
-            Matrix m = new Matrix();
-            m.Translate(
-                -page.Bounds.Location.X,
-                -page.Bounds.Location.Y);
-            g.Transform = m;
-            bundle.Paint(g);
-            if ((currentPageIndex + 1) < this.numberOfPages)
-            {
-                currentPageIndex++;
-                e.HasMorePages = true;
-            }
-            else
-            {
-                currentPageIndex = 0;
-                e.HasMorePages = false;
-            }
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Handles the actual rendering of the diagram to the print document.
+    /// </summary>
+    /// <param name="sender">object</param>
+    /// <param name="e">PrintPageEventArgs</param>
+    // ------------------------------------------------------------------
+    void PrintPage(object sender, PrintPageEventArgs e) {
+      Graphics g = e.Graphics;
+      IPage page =
+          this.myDiagram.Controller.Model.Pages[currentPageIndex];
+      Bundle bundle = new Bundle(page.Entities);
+      Matrix m = new Matrix();
+      m.Translate(
+          -page.Bounds.Location.X,
+          -page.Bounds.Location.Y);
+      g.Transform = m;
+      bundle.Paint(g);
+      if ((currentPageIndex + 1) < this.numberOfPages) {
+        currentPageIndex++;
+        e.HasMorePages = true;
+      } else {
+        currentPageIndex = 0;
+        e.HasMorePages = false;
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Converters/PointConverter.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Converters/PointConverter.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Converters/PointConverter.cs	(revision 4068)
@@ -1,112 +1,98 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.ComponentModel;
 using System.Drawing;
 using System.Globalization;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Type converter for a <see cref="Point"/> structure.
+  /// </summary>
+  public class PointConverter : TypeConverter {
     /// <summary>
-    /// Type converter for a <see cref="Point"/> structure.
+    /// Determines whether this instance can convert from the specified context.
     /// </summary>
-    public class PointConverter : TypeConverter
-    {
-        /// <summary>
-        /// Determines whether this instance can convert from the specified context.
-        /// </summary>
-        /// <param name="context">The context.</param>
-        /// <param name="t">The t.</param>
-        /// <returns>
-        /// 	<c>true</c> if this instance [can convert from] the specified context; otherwise, <c>false</c>.
-        /// </returns>
-        public override bool CanConvertFrom(ITypeDescriptorContext context, Type t)
-        {
-            if(t == typeof(string))
-            {
-                return true;
-            }
-            return base.CanConvertFrom(context, t);
+    /// <param name="context">The context.</param>
+    /// <param name="t">The t.</param>
+    /// <returns>
+    /// 	<c>true</c> if this instance [can convert from] the specified context; otherwise, <c>false</c>.
+    /// </returns>
+    public override bool CanConvertFrom(ITypeDescriptorContext context, Type t) {
+      if (t == typeof(string)) {
+        return true;
+      }
+      return base.CanConvertFrom(context, t);
+    }
+    /// <summary>
+    /// Converts the point to a string representation.
+    /// </summary>
+    /// <param name="context">The context.</param>
+    /// <param name="culture">The culture.</param>
+    /// <param name="value">The value.</param>
+    /// <param name="destinationType">Type of the destination.</param>
+    /// <returns></returns>
+    public override object ConvertTo(ITypeDescriptorContext context, CultureInfo culture, object value, Type destinationType) {
+      if (value is Point) {
+        Point point = (Point)value;
+        return "(" + point.X + "," + point.Y + ")";
+      }
+      return base.ConvertTo(context, culture, value, destinationType);
+
+
+    }
+
+    /// <summary>
+    /// Converts the given object to the type of this converter, using the specified context and culture information.
+    /// </summary>
+    /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
+    /// <param name="culture">The <see cref="T:System.Globalization.CultureInfo"></see> to use as the current culture.</param>
+    /// <param name="value">The <see cref="T:System.Object"></see> to convert.</param>
+    /// <returns>
+    /// An <see cref="T:System.Object"></see> that represents the converted value.
+    /// </returns>
+    /// <exception cref="T:System.NotSupportedException">The conversion cannot be performed. </exception>
+    public override object ConvertFrom(ITypeDescriptorContext context, CultureInfo culture, object value) {
+      if (value is string) {
+
+        try {
+          string thething = (string)value;
+          //remove brackets if any
+          thething = thething.Replace("(", "").Replace(")", "");
+          //now we should have only a comma
+          string[] parts = thething.Split(new char[] { ',' });
+          return new Point(int.Parse(parts[0]), int.Parse(parts[1]));
         }
-        /// <summary>
-        /// Converts the point to a string representation.
-        /// </summary>
-        /// <param name="context">The context.</param>
-        /// <param name="culture">The culture.</param>
-        /// <param name="value">The value.</param>
-        /// <param name="destinationType">Type of the destination.</param>
-        /// <returns></returns>
-        public override object ConvertTo(ITypeDescriptorContext context, CultureInfo culture, object value, Type destinationType)
-        {
-            if(value is Point)
-            {
-                Point point = (Point) value;
-                return "(" + point.X + "," + point.Y + ")";
-            }
-            return base.ConvertTo(context, culture, value, destinationType);
-            
-            
+        catch (Exception) {
+
+          return Point.Empty;
         }
+      }
+      return base.ConvertFrom(context, culture, value);
 
-        /// <summary>
-        /// Converts the given object to the type of this converter, using the specified context and culture information.
-        /// </summary>
-        /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
-        /// <param name="culture">The <see cref="T:System.Globalization.CultureInfo"></see> to use as the current culture.</param>
-        /// <param name="value">The <see cref="T:System.Object"></see> to convert.</param>
-        /// <returns>
-        /// An <see cref="T:System.Object"></see> that represents the converted value.
-        /// </returns>
-        /// <exception cref="T:System.NotSupportedException">The conversion cannot be performed. </exception>
-        public override object ConvertFrom(ITypeDescriptorContext context, CultureInfo culture, object value)
-        {
-            if(value is string) 
-             {
 
-                try
-                {
-                    string thething = (string) value;
-                    //remove brackets if any
-                    thething = thething.Replace("(", "").Replace(")", "");
-                    //now we should have only a comma
-                    string[] parts = thething.Split(new char[] { ',' });
-                    return new Point(int.Parse(parts[0]), int.Parse(parts[1]));
-                }
-                catch(Exception)
-                {
 
-                    return Point.Empty;
-                }
-            }
-            return base.ConvertFrom(context, culture, value);
-            
-            
-            
-        }
+    }
 
-        /// <summary>
-        /// Returns whether this object supports properties, using the specified context.
-        /// </summary>
-        /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
-        /// <returns>
-        /// true if <see cref="M:System.ComponentModel.TypeConverter.GetProperties(System.Object)"></see> should be called to find the properties of this object; otherwise, false.
-        /// </returns>
-        public override bool GetPropertiesSupported(ITypeDescriptorContext context)
-        {
-            return true;
-        }
+    /// <summary>
+    /// Returns whether this object supports properties, using the specified context.
+    /// </summary>
+    /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
+    /// <returns>
+    /// true if <see cref="M:System.ComponentModel.TypeConverter.GetProperties(System.Object)"></see> should be called to find the properties of this object; otherwise, false.
+    /// </returns>
+    public override bool GetPropertiesSupported(ITypeDescriptorContext context) {
+      return true;
+    }
 
-        /// <summary>
-        /// Returns a collection of properties for the type of array specified by the value parameter, using the specified context and attributes.
-        /// </summary>
-        /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
-        /// <param name="value">An <see cref="T:System.Object"></see> that specifies the type of array for which to get properties.</param>
-        /// <param name="attributes">An array of type <see cref="T:System.Attribute"></see> that is used as a filter.</param>
-        /// <returns>
-        /// A <see cref="T:System.ComponentModel.PropertyDescriptorCollection"></see> with the properties that are exposed for this data type, or null if there are no properties.
-        /// </returns>
-        public override PropertyDescriptorCollection GetProperties(ITypeDescriptorContext context, object value, Attribute[] attributes)
-        {
-            return TypeDescriptor.GetProperties(value, attributes);
-        }
+    /// <summary>
+    /// Returns a collection of properties for the type of array specified by the value parameter, using the specified context and attributes.
+    /// </summary>
+    /// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context.</param>
+    /// <param name="value">An <see cref="T:System.Object"></see> that specifies the type of array for which to get properties.</param>
+    /// <param name="attributes">An array of type <see cref="T:System.Attribute"></see> that is used as a filter.</param>
+    /// <returns>
+    /// A <see cref="T:System.ComponentModel.PropertyDescriptorCollection"></see> with the properties that are exposed for this data type, or null if there are no properties.
+    /// </returns>
+    public override PropertyDescriptorCollection GetProperties(ITypeDescriptorContext context, object value, Attribute[] attributes) {
+      return TypeDescriptor.GetProperties(value, attributes);
     }
+  }
 }
